| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::tracking::tbm::IImageDescriptor Class Referenceabstract

The IImageDescriptor class declares base class for image descriptor. More...

`#include <opencv2/tracking/tracking_by_matching.hpp>`

Collaboration diagram for cv::detail::tracking::tbm::IImageDescriptor:

## Public Member Functions
virtual | ~IImageDescriptor ()
virtual void | compute (const cv::Mat &mat, cv::Mat &descr)=0
| Computes image descriptor.
virtual void | compute (const std::vector< cv::Mat > &mats, std::vector< cv::Mat > &descrs)=0
| Computes image descriptors in batches.
virtual cv::Size | size () const =0
| Descriptor size getter.

## Detailed Description

The IImageDescriptor class declares base class for image descriptor.

## Constructor & Destructor Documentation

## ◆ ~IImageDescriptor()

virtual cv::detail::tracking::tbm::IImageDescriptor::~IImageDescriptor | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ compute() [1/2]

virtual void cv::detail::tracking::tbm::IImageDescriptor::compute | ( | const cv::Mat & | mat,
|  | cv::Mat & | descr )
| pure virtual

Computes image descriptor.

Parameters

  [in] | mat | Color image.
  [out] | descr | Computed descriptor.

Implemented in cv::detail::tracking::tbm::ResizedImageDescriptor.

## ◆ compute() [2/2]

virtual void cv::detail::tracking::tbm::IImageDescriptor::compute | ( | const std::vector< cv::Mat > & | mats,
|  | std::vector< cv::Mat > & | descrs )
| pure virtual

Computes image descriptors in batches.

Parameters

  [in] | mats | Images of interest.
  [out] | descrs | Matrices to store the computed descriptors.

Implemented in cv::detail::tracking::tbm::ResizedImageDescriptor.

## ◆ size()

virtual cv::Size cv::detail::tracking::tbm::IImageDescriptor::size | ( |  | ) | const
| pure virtual

Descriptor size getter.

Returns
  Descriptor size.

Implemented in cv::detail::tracking::tbm::ResizedImageDescriptor.

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_by_matching.hpp